## piuparts 0.20

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 etcdir = $(prefix)/etc
 
 # mirror = -m 'http://liw.iki.fi/debian main'
-ignore = -I fdmount
+ignore = -I fdmount -N
 
 all: piuparts.1
 
@@ -25,9 +25,10 @@
 	gzip -9f $(man1dir)/piuparts.1
 
 	install -d $(sharedir)/piuparts
-	for file in piuparts-slave piuparts-master piuparts-report; do \
+	for file in piuparts-slave piuparts-master; do \
 	    sed "/^CONFIG_FILE = /s:\".*\":\"/etc/piuparts/$$file.conf\":" \
 	        $$file.py > $(sharedir)/piuparts/$$file.py; done
+	install piuparts-analyze.py $(sharedir)/piuparts/piuparts-analyze
 	chmod +x $(sharedir)/piuparts/*.py
 
 	install -d $(site23)/piupartslib
@@ -36,16 +37,20 @@
 	install -m 0644 piupartslib/*.py $(site24)/piupartslib
 
 	install -d $(etcdir)/piuparts
-	for x in master slave report; do \
+	for x in master slave; do \
 	    install -m 0644 piuparts-$$x.conf.sample \
 	                    $(etcdir)/piuparts/piuparts-$$x.conf; done
 
 # The 'check' target probably only works for me. Sorry. Eventually this
 # should get a proper test suite, but that's for a later day.
-check:
+check: unittests
 	python piuparts.py $(mirror) $(ignore) -l tmp.log -d sarge test-debs/liwc*.deb
 	python piuparts.py $(mirror) $(ignore) -l tmp2.log -d sarge -d etch test-debs/liwc*.deb
 	python piuparts.py $(mirror) $(ignore) -l tmp3.log -d sarge -d etch -a liwc
 
+unittests:
+	python piuparts.py unittest
+	python unittests.py
+
 clean:
 	rm -rf tmp* piuparts.1
