=== debian/changelog ===
piuparts (0.30ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.
  * debian/control
    - Update Maintainer field as per spec.
  * Feature Freeze exception granted (LP: #175821).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 19 Feb 2008 16:42:56 +0100

piuparts (0.30) unstable; urgency=low

  * piuparts.py:
    - Implement Chroot.create_temp_tgz_file() (since it's used in the VirtServ
      subclass)
    - Fix a typo -- chroot.create_temp_tgz() was being called instead of
      chroot.create_temp_tgz_file() (Closes: #465416)

 -- John Wright <jsw@debian.org>  Thu, 14 Feb 2008 20:32:35 -0700

piuparts (0.29) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Updated uploaders, remove Amaya and Alastair.

  [ Lars Wirzenius ]
  * piuparts.py: Call "apt-get update" before calling Chroot.minimize, so
    that we can find the debfoster package on Ubuntu.
  * debian/control: Fixed "Uploaders:" to have my preferred e-mail address
    (liw@iki.fi) instead of my Debian one.
  * piuparts.py: Added -D option to set Debian flavor, plus two sets of
    default settings depending on the flavor, one for Debian itself, and
    another for Ubuntu. The settings choose default mirror and distribution
    set (sid vs gutsy). This will allow an Ubuntu version of the package
    to set defaults at package building time.
  * piuparts.py: Report target of broken symlink correctly, instead of
    saying "True".
  * piuparts.py: Use lsb-release to guess the Debian flavor.
  * debian/control: Added dependency on lsb-release.
  * piuparts-master.py: Make the master write summary of total pass/fail
    packages, plus status per binary package. This is for having the
    Debian PTS and the Ubuntu developer weather report show summaries
    of piuparts results.
  * integraged changes from Ubuntu by Ian Jackson to support autopkgtest.
  * wrapped long lines in debian/control.

  [ Holger Levsen ]
  * Added myself to uploaders.
  * Added Homepage: header to debian/control and changed the homepage to be
    http://wiki.debian.org/piuparts.
  * Use Vcs-* headers in debian/control instead of XS-Vcs-*.
  * Bumped policy version to 3.7.3.
  * Updated download location in debian/copyright.

  [ John Wright ]
  * Change the --warn-on-others implementation to create a dummy metapackage
    with the needed dependencies and install it in the chroot, rather than
    using "apt-get install package package-".  The previous implementation
    had issues when the package was already installed (and especially if the
    package had essential packages in its reverse dependencies).  This has
    the pleasant side-effect of making --warn-on-others work both with and
    without --apt. (Closes: #458929)
  * Fix a bug in check_for_broken_symlinks(): the targets for the broken
    symlinks (used for logging) were being read from files on the real root
    filesystem, rather than in the chroot.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 01 Feb 2008 16:38:38 +0200

piuparts (0.28) unstable; urgency=low

  * Fix an UnboundLocalError introduced in the --warn-on-others fix that would
    occur if run without the --apt option. (Closes: #443641)

 -- John Wright <jsw@debian.org>  Sat, 22 Sep 2007 23:32:17 -0600

piuparts (0.27) unstable; urgency=low

  * Add support for testing multiple distributions and architectures to
    piuparts-master.py and piuparts-slave.py.  Please see the README file,
    piuparts-master.conf.sample and piuparts-slave.conf.sample for more
    details. (Closes: #349365)
  * Fix the --warn-on-others option.  Now, dependencies are installed before
    the packages we wish to test, and an inventory is taken then, so that we
    can know which errors were caused by the packages explicitly specified on
    the command-line.  Currently, this requires --apt, and doesn't work quite
    as advertised if there are circular dependencies with the packages you wish
    to test (see the man page for more details). (Closes: #440310)
  * debian/control:
    - Update my email address in the Uploaders field

 -- John Wright <jsw@debian.org>  Sun, 16 Sep 2007 22:28:14 -0600

piuparts (0.26) unstable; urgency=low

  * Update list of ignored files. (Closes: #439592)
  * In the cron test, not executable files are not run. (Closes: #440141)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 31 Aug 2007 15:44:36 +0200

piuparts (0.25) unstable; urgency=low

  * Add the option to run custom scripts inside the piuparts chroot.
    Scripts are stored in a directory and give it as argument with the
    option --scriptsdir=/dir/with/the/scripts
    This feature is still experimental :)
  * Add custom-scripts.txt with information about the custom scripts.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 28 Aug 2007 14:39:32 +0200

piuparts (0.24) unstable; urgency=low

  * Add /var/lib/apt/extended_states to ignored_files. Thanks Anibal!
   (Closes: #434980)
  * Add quick howto about how to use piuparts under docs.
  * Add test that checks the output from the cron files left in the system
    after removing a package. This includes the option --skip-cronfiles-test,
    to allow skipping this test.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 20 Aug 2007 10:27:29 +0200

piuparts (0.23) unstable; urgency=low

  * Cosmetic change, now file owner and file are shown in the same line.
  * Add option --list-installed-files, that list files added/removed/modified 
    to the chroot after the package's installation.  (Closes: #431821)
  * Add option --no-upgrade-test, that allows skip testing upgrade from an 
    existing version in the archive. (Closes: #349933)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 10 Jul 2007 19:47:21 +0200

piuparts (0.22) unstable; urgency=low

  [ John Wright ]
  * debian/control:
    - Add XS-Vcs-Svn and XS-Vcs-Browser fields

  [ Ana Beatriz Guerrero Lopez ]

