=== debian/control ===
Source: piuparts
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders: Lars Wirzenius <liw@iki.fi>, 
    Bill Allombert <ballombe@debian.org>, 
    Ian Jackson <iwj@debian.org>, 
    John Wright <jsw@debian.org>, 
    Ana Beatriz Guerrero Lopez <ana@debian.org>, 
    Holger Levsen <holger@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.7.3
Build-Depends-Indep: docbook2x, python-support
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
Homepage: http://wiki.debian.org/piuparts

Package: piuparts
Architecture: all
Depends: apt, python (>> 2.3), debootstrap (>= 0.3.3), lsof, lsb-release, 
    python-debian (>= 0.1.4)
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 . 
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
XB-Python-Version: all
