=== debian/rules ===
#!/usr/bin/make -f

P = piuparts

build:

binary: binary-arch binary-indep

binary-indep: build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -m 0644 debian/conffiles debian/tmp/DEBIAN/conffiles
	install -d debian/tmp/usr/sbin
	install -d debian/tmp/usr/share/doc/$P
	install -d debian/tmp/usr/share/man/man1
	$(MAKE) prefix=debian/tmp/usr etcdir=debian/tmp/etc install
	sed -i 's,^#!/usr/sbin/python$$,&2.3,' debian/tmp/usr/sbin/piuparts
	install -m 0644 debian/changelog \
	    debian/tmp/usr/share/doc/$P/changelog.Debian
	install -m 0644 ChangeLog debian/tmp/usr/share/doc/$P/changelog
	install -m 0644 README debian/tmp/usr/share/doc/$P
	install -m 0644 how-to-use-piuparts.txt debian/tmp/usr/share/doc/$P
	install -m 0644 custom-scripts.txt debian/tmp/usr/share/doc/$P
	gzip -9 debian/tmp/usr/share/doc/$P/*
	install -m 0644 debian/copyright debian/tmp/usr/share/doc/$P
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch:

clean:
	$(MAKE) clean
	rm -rf debian/files debian/substvars debian/tmp

checkversion:
	v1=$$(sed -n '/^VERSION = /s/.*"\(.*\)".*/\1/p' piuparts.py); \
	v2=$$(dpkg-parsechangelog|sed -n 's/^Version: \(.*\)-[^-]*$$/\1/p'); \
	if [ "$$v1" != "$$v2" ]; then \
	    echo "Upstream version $$v1 != Debian version $$v2"; exit 1; fi
