## piuparts 0.31

=== debian/changelog ===
piuparts (0.31) unstable; urgency=low

  [ Lars Wirzenius ]
  * piuparts.docbook: Added a few words of description of the tarball
    that -b expects. (Closes: 466048)

  [ Lucas Nussbaum ]
  * Added a --debfoster-options option, to allow the user to override
    debfoster's default options and test with more packages installed
    in the chroot. (Closes: #458922)
  * Mention piuparts -s in in how-to-use-piuparts.txt.
  * Finally fixes the check for broken symlinks. Thanks go to
    Tobias Grimm for the patch. (Closes: #468157, 478587)
  * Ignore /var/cache/ldconfig/aux-cache.
  * Added myself to uploaders.
  * Keep /proc mounted. Switch to calling tar directly in
    pack_into_tgz(). Minor refactorings. Thanks go to Tobias Grimm
    for the patch. (Closes: #478577)
  * Move piuparts to priority: extra, since it depends on debootstrap which
    is extra. (Closes: #477634)

  [ Luk Claes ]
  * Added -w to lsof call to suppress warnings. (Closes: #466102).

  [ Holger Levsen ]
  * Add a copyright statement to debian/copyright.
  * Add support for post_upgrade custom script.
  * Minor fixes in how-to-use-piuparts.txt.
  * piuparts.docbook: Correct the path to dtd, it's
    /usr/share/xml/docbook/schema/dtd/4.1.2/docbookx.dtd and add a
    build-dependency for docbook-xml

 -- Holger Levsen <holger@debian.org>  Sun, 11 May 2008 22:17:52 +0200
