=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: piuparts
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Lars Wirzenius <liw@iki.fi>, 
     Bill Allombert <ballombe@debian.org>, 
     Ian Jackson <iwj@debian.org>, 
     John Wright <jsw@debian.org>, 
     Ana Beatriz Guerrero Lopez <ana@debian.org>, 
-    Holger Levsen <holger@debian.org>
+    Holger Levsen <holger@debian.org>,
+    Lucas Nussbaum <lucas@lucas-nussbaum.net>
 Section: devel
-Priority: optional
+Priority: extra
 Standards-Version: 3.7.3
-Build-Depends-Indep: docbook2x, python-support
+Build-Depends-Indep: docbook2x, python-support, docbook-xml
 XS-Python-Version: all
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
