## piuparts 0.31ubuntu1

=== debian/changelog ===
piuparts (0.31ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.
    - debian/control: update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 23 May 2008 13:36:31 +0000
