=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Lars Wirzenius <liw@iki.fi>, 
     Bill Allombert <ballombe@debian.org>, 
     Ian Jackson <iwj@debian.org>,
