## piuparts 0.35ubuntu1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 mandir = $(sharedir)/man
 man1dir = $(mandir)/man1
 libdir = $(prefix)/lib
-site24 = $(libdir)/python2.4/site-packages
 site25 = $(libdir)/python2.5/site-packages
+site26 = $(libdir)/python2.6/dist-packages
 etcdir = $(prefix)/etc
 version=${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
 
@@ -35,10 +35,10 @@
 	install piuparts-analyze.py $(sharedir)/piuparts/piuparts-analyze
 	chmod +x $(sharedir)/piuparts/*.py
 
-	install -d $(site24)/piupartslib
 	install -d $(site25)/piupartslib
-	install -m 0644 piupartslib/*.py $(site24)/piupartslib
+	install -d $(site26)/piupartslib
 	install -m 0644 piupartslib/*.py $(site25)/piupartslib
+	install -m 0644 piupartslib/*.py $(site26)/piupartslib
 
 	install -d $(etcdir)/piuparts
 	for x in master slave; do \
