=== debian/changelog ===
piuparts (0.35ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
  * Set default Ubuntu distribution to jaunty.
  * In Ubuntu, debfoster tries to remove packages with priority required
    even if MaxPriority=required is used. Setting MaxPriority to important
    reduces the number of packages to be removed as well as false positives
    generated by unwanted package removals. This can be dropped if a
    proper fix for debfoster is found.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 16 Mar 2009 21:43:57 +0100

piuparts (0.35) unstable; urgency=medium

  * Fix recursive failure which occured when selinux-utils was installed but
    not enabled. Thanks to Peter De Wachter for the patch. (Closes: #519017)
  * Output path to temp directory if -k is used. (Closes: #466112)

 -- Holger Levsen <holger@debian.org>  Tue, 10 Mar 2009 00:43:22 +0100

piuparts (0.34) unstable; urgency=low

  [ Holger Levsen ]
  * Mount /selinux on systems where selinux is enabled. Thanks to Filippo
    Giunchedi for the patch! (CLoses: 507171)
  * Remove wrong advice in debian/copyright which irritated lintian.

  [ Filippo Giunchedi ]
  * Check for any output when running cron files in addition to exit code

 -- Holger Levsen <holger@debian.org>  Fri, 27 Feb 2009 12:34:31 +0100

piuparts (0.33ubuntu2) jaunty; urgency=low

  * Build for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 17:57:05 +0100

piuparts (0.33ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #295948), remaining changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 08 Nov 2008 22:58:37 +0000

piuparts (0.33) unstable; urgency=low

  * Added --bindmount option, thanks to Aníbal Monsalve Salaza for the patch. 
    (Closes: #496186)

 -- Holger Levsen <holger@debian.org>  Sat, 08 Nov 2008 17:07:22 +0000

piuparts (0.32) unstable; urgency=low

  [ John Wright ]
  * Fix a typo in how-to-use-piuparts.txt.

  [ Holger Levsen ]
  * Replace all references to sarge and etch with etch and lenny. 
    (Closes: #466111)
  * Update README to reflect that piuparts runs fine in etch. 
  * Rename the post_upgrade custom script to post_distupgrade and introduce
    pre_distupgrade.
  * Bumped standards version, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2008 10:28:14 +0000
