=== debian/changelog ===
piuparts (0.38) unstable; urgency=low

  * piuparts.py:
    - Add support for using LVM snapshots. Thanks to
      Patrick Schoenfeld for the patch. (Closes: #559449)
    - Add support for warning on broken symlinks. Thanks to Carl Chenet for
      the patch. (Closes: #440151)  
    - Make --help usuable without needing to be run as root. (Closes: #547379)
    - --skip-minimize is now the default. This is because debootstrap is called
      with --variant=minbase instead of --resolv-deps now and because if a 
      base.tgz or an lvm snapshot is specified, piuparts should not touch it.
      (Closes: #539142)
      Introduce a new option, --minimize, to minimize a chroot with debfoster.
      (This is the old default behaviour. In future versions the --minimize
      option might be removed again.)
    - Add two new options: --keyring to specify the keyring to use with
      debootstrap (defaults to /usr/share/keyrings/debian-archive-keyring.gpg)
      and --do-not-verify-signatures to not use --keyring with debootstrap.
      (Closes: #545907)
      In the chroots, APT::Get::AllowUnauthenticated is set accordingly in
      /etc/apt/apt.conf.
    - Add new option, --pedantic-purge-test, to tell piuparts to be pedantic 
      when checking if a purged package leaves files behind. If this option is
      not set, files left in /tmp are ignored. (Closes: #528266)
    - Add new option, --dpkg-force-confdef, to make dpkg use --force-confdev,
      which lets dpkg always choose the default action when a modified conffile
      is found. This options will make piuparts ignore errors it was designed
      to report and therefore should only be used to hide problems in
      dependent packages. (Closes: #466118)
    - Add another type of custom-scripts, post_setup_, which are executed after
      the chroot was setup. (Closes: #466043)
    - Create policy-rc.d in 2nd chroot when using -b. (Closes: #466049)
      Thanks again to Patrick Schoenfeld for his help.
  * piuparts-report: report broken symlinks.
  * piuparts-slave: 
    - gracefully deal with upgrade-test-distros and upgrade-test-chroot-tgz 
      not being set in the configuration. Thanks to Carl Chenet and Patrick 
      Schoenfeld for the patch. (Closes: #519192)
    - new default value for idle-sleep, 300 instead of 10 seconds. Also the
      slave will now only sleep if there is nothing to do for any section.
  * Makefile: workaround 559305 by calling a2x twice.   
  * Update debian/NEWS.
  * Replace all references to sarge and etch with ones to lenny and squeeze.  

 -- Holger Levsen <holger@debian.org>  Thu, 17 Dec 2009 14:10:27 +0000

piuparts (0.37) unstable; urgency=low

  * piuparts-report.py: report packages with update-rc.d warnings and those 
    failing due to insserv errors. (Closes: #546540) 
  * Fix typo in NEWS.Debian, thanks to Justin Rye for spotting it. 
    (Closes: #547439)
  * piuparts.py: 
    - added to self.ignored_patterns:
      - /var/cache/man(/.*)? (Closes: #550953)
      - /var/lib/insserv/run.*.log
      - /var/lib/mercurial-server(/.*)?
    - removed from self.ignored_files:
      - /var/cache/man/index.db
  * fix typo in -i option in manpage (Closes: #555202), thanks to James Vega
    for spotting it.
  * Make "lucid" the default Ubuntu distribution (Closes: #559047), thanks to
    Krzysztof Klimonda.
  * fix FTBFS by adding "-r /etc/asciidoc" to the a2x call in Makefile, thanks
    to Michael Vogt. (Closes: #559299)

 -- Holger Levsen <holger@debian.org>  Thu, 03 Dec 2009 13:25:43 +0000

piuparts (0.36) unstable; urgency=low

  [ Holger Levsen ]
  * The "For me. For you. For everybody." release.
  * Break backwards compatibility of the configuration files for master-slave-
    mode. Merge those three into one: /etc/piuparts/piuparts/piuparts.conf.
    Introduce a new global section in piuparts.conf which is shared among the
    other sections there. 
  * piuparts.py:
    - add check whether scriptsdir exits, to fail gracefully if not. 
    - copy scriptsdir to chroot also when doing upgrade tests.
    - added to self.ignored_files:
      - /etc/shadow and /etc/shadow- (just as /etc/passwd* and /etc/group*)
      - /var/games (see #524461)
      - /etc/apt/trusted.gpg and /etc/apt/trusted.gpg~ (just as 
        /etc/apt/trustdb.gpg and other backup files)
    - added to self.ignored_patterns:
      -  /var/lib/dpkg/triggers/*
      -  /var/lib/ldap(/.*)? (see #527898)
      -  /var/backups/.*
    - modified self.ignored_patters:
      - ignore everything in /tmp, not just in /tmp/scripts (see #528266)
    - configure apt in chroots to not install recommends and suggests.
    - add support for scanning for packages in changes files, thanks to Andres
      Mejia for the patch. (Closes: #352940)
    - change some methods from using 'args' to 'package_list'. This more 
      accurately represents what is being passed into these methods now. 
    - add an optional parameter to panic() method to specify what exit status
      to use. Also thanks to Andres.
    - add advice how to read the logfile to the top of the logfiles produced.
    - add "FAIL: " to logging output for seven more failure types, so that it
      becomes easier to group failure causes.
    - allow piuparts to be stopped with control-C. Thanks to Carl Chenet for
      the patch. (Closes: #523958)
    - fail gracefully if piuparts is run as non-root user. Thanks to Ignace
      Mouzannar for the patch. (Closes: #538273)
  * piupartslib/packagesdb.py:
    - change the test whether a package is testable to check whether the 
      package is of priority "required", and not whether it's "Essential".
    - rename status "essential-required-important" to "essential-required" 
      as important packages can be tested like all the others.
    - handle binNMUs where the Source header in the Packages file includes the 
      Version and the Source package name in one line.

