=== debian/control ===
Source: piuparts
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ian@davenant.greenend.org.uk>, 
    Holger Levsen <holger@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.8.3
Build-Depends: debhelper (>=5.0.42), dpkg-dev (>=1.13.26)
Build-Depends-Indep: python-support, asciidoc, xmlto
Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
Homepage: http://piuparts.debian.org

Package: piuparts
Architecture: all
Depends: apt, python (>> 2.4), debootstrap (>= 0.3.3), lsof, lsb-release, 
    python-debian
Suggests: python-rpy, ghostscript
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 . 
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
