=== debian/changelog ===
piuparts (0.38ubuntu3) lucid; urgency=low

  * Deleted previously wrongly added home/fabrice directory. Thanks Matthieu for
    notifying

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 05 Feb 2010 05:50:11 +0000

piuparts (0.38ubuntu2) lucid; urgency=low

  * piuparts.py: added log-level option, to allow the user to choose the log 
    level, and thus limit the output to info and/or error messages instead of
    default debug level. The option values are: error, info, dump and debug.
    Also added an info message about successful installation of deb files.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 27 Jan 2010 05:23:02 +0000

piuparts (0.38ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: (LP: #502651)
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - dropped changes:
      + Set default Ubuntu distribution to lucid (applied upstream)

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Tue, 05 Jan 2010 18:02:43 -0500

piuparts (0.36ubuntu2) lucid; urgency=low

  * Makefile:
    - fix FTBFS by adding "-r /etc/asciidoc" to the a2x call

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Dec 2009 13:27:11 +0100

piuparts (0.36ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
    - Set default Ubuntu distribution to lucid
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Dec 2009 11:37:04 +0100
