## piuparts 0.38ubuntu3.10.04.1

=== debian/changelog ===
piuparts (0.38ubuntu3.10.04.1) lucid-proposed; urgency=low

  * set default keyring name to ubuntu-archive-keyring.gpg (LP: #807545)
    backported from oneiric

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 08 Nov 2011 12:04:52 +0000
