## piuparts 0.39ubuntu1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 man1dir = $(mandir)/man1
 libdir = $(prefix)/lib
 docdir = $(prefix)/share/doc/piuparts/
-site25 = $(libdir)/python2.5/site-packages
-site26 = $(libdir)/python2.6/dist-packages
+site26 = $(libdir)/python2.6/site-packages
+site27 = $(libdir)/python2.7/site-packages
 etcdir = $(prefix)/etc
 distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
 ifeq ($(distribution),UNRELEASED)
@@ -49,10 +49,10 @@
 	for file in piuparts-slave piuparts-master piuparts-report piuparts-analyze; do \
 	    install -m 0755 $$file.py $(sharedir)/piuparts/$$file ; done
 	
-	install -d $(site25)/piupartslib
 	install -d $(site26)/piupartslib
-	install -m 0644 piupartslib/*.py $(site25)/piupartslib
+	install -d $(site27)/piupartslib
 	install -m 0644 piupartslib/*.py $(site26)/piupartslib
+	install -m 0644 piupartslib/*.py $(site27)/piupartslib
 
 check:
 	python piuparts.py unittest
