=== debian/changelog ===
piuparts (0.39ubuntu1) natty; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
  * Makefile: added python2.7 support and drop python2.5 support (unsupported)
  * piuparts.py: 
    - set default distribution to natty
    - set default keyring name to ubuntu-archive-keyring.pgp

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 21 Feb 2011 07:26:45 +0100

piuparts (0.39) unstable; urgency=low

  [ Holger Levsen ]
  * The vintage of 2010 release!
  * piuparts-report.py: 
     - report packages which failed
       - due to broken maintainer scripts, 
       - due to output from cron after removal,
       - due to not enough force being,
       - due to a problem with pre-depends,
       - due to files having been modified after purge,
       - due to files having disappeared after purge and
       - due to problems configuring a database.
     - only report about (un)owned files and directories and symlink issues in
       sid - that's hardcoded as it's not practical to track them anywhere else 
       anyway. And at least for broken symlinks this will also stay like this
       for a long time.
     - visual improvements in the output.
     - ignore udebs and binaries from other archs too.
     - graph is generated using all the available data points.
  * piupartslib/packagesdb.py: 
    - automatically break circular dependencies when there are only circular
      dependencies left, using a configurable list of circular depdencies in 
      piuparts.conf (Closes: #526046)
        The list of circular depends is taken from a script written by Robert
      Lemmen available at http://debian.semistable.com/debgraph.out.html -
      obviously it would be better to merge this into piuparts directly.
        Note that the dependency resovler is still buggy, the state
      waiting-for-dependency-to-be-tested still contains some packages
      with failed depends (due to them being dependent on packages with
      circular depends). This bug has no effect other than that (so the state 
      waiting-to-be-tested is calculated correctly). This bug is also no 
      regression.
    - get rid of the longtime unused states "fixed" and "fix-not-yet-tested"
      (also in piuparts-master and piuparts-report).
    - forget reservations of untestable packages.
  * piuparts-slave.py: 
    - fix crash when going into sleep when idle. 
    - add support for only doing upgrade tests (without the basic test in the
      upgrade target distro).
    - honor mirror configuration option also for upgrade-tests.
    - also do upgrade tests if the version of a package being tested (the one 
      in the upgraded distro) is not available in the distro being upgraded 
      from. (This is a very short test, but a successfully one.)
    - make configuration setting "distro" to not default to any distro.
  * piuparts.py: 
    - new option: --log-level to specify the verbosity of piuparts
      output. Thanks to Fabrice Coutadeur for the patch! (Closes: #567190)
    - new option: --warn-on-leftovers-after-purge to not fail if a package
      leaves files behind after purge. (Closes: #566599)
    - add to self.ignored_files: 
      - /var/lib/apt/lists/partial/.delete-me-later
      - /var/log/alternatives.log (Closes: #591966)
      - /var/log/apt/history.log (Closes: #594964)
      - /usr/share/fonts/X11/misc/fonts.alias (Closes: #576321)
    - add to self.ignored_patterns: 
      - /etc/init.d/.depend.*
      - /var/mail(/.*)? - this used to be just /var/mail/.*
      - /var/lib//update-rc.d(/.*)? (Closes: #605127)
    - create temporary DEBIAN directory for the piuparts-depends-dummy package
      with 0755 perms regardless of the umask of the calling shell. 
      (Closes: #573904)
    - fix --do-not-verify-signatures option (Closes: #574936) - thanks to
      Cleto Martin Angelina for the patch.
    - make Chroot.diff_meta_data() special case and ignore files matching 
      (/etc/rc.\.d/)[SK][0-9]{2}(.*)$ so that piuparts doesn't complain about
      initscripts renamed by insserv. Thanks to by Andreas Beckmann for the
      patch! (Closes: #586793)
    - remove logrotate and depended packages after the test. (Closes: #602409)
      This is a fix for the incomplete patch for #566597. Again, this is a
      hardcoded list. :-(
    - new custom script: pre_remove_ (Closes: #539146)
    - set environment variable PIUPARTS_OBJECTS in custom scripts to a space
      separated list of packages / changes files being tested.
    - do not call apt-get with --no-remove when installing packages. 
      (Closes: #603453)
    - apply patch by Andres Mejia to fix parsing of the --force-confdef option
      and also to configure apt to use that option. Thanks, Andres. 
      (Closes: #605475)
    - don't panic if package is not known by apt-get, this probably just means
      a package not yet in the archive is being tested. (Closes: #566672)
      Thanks to Cleto Martin Angelina for the patch!
    - fix parsing of the options --end-meta and --save-end-meta.
    - supply help texts for --end-meta and --save-end-meta options, also add
      comments to install_and_upgrade_between_distros() to make the code
      easier to understand and hopefully improve in future. (Closes: #560050).
    - add logging to install_and_upgrade_between_distros() to point people to
      read the functions source code if they wonder why the log (for distro 
      upgrade tests) looks like it looks.
  * piuparts.1.txt: 
    - update the pointer to custom-scripts.txt to point to README.txt, as
      those two files have been merged. Thanks to Gregor Hermann for 
      spotting this. (Closes: #574504)

