=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: piuparts
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
-Uploaders: Ian Jackson <ian@davenant.greenend.org.uk>, 
-    Holger Levsen <holger@debian.org>
+Uploaders: Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>=5.0.42), dpkg-dev (>=1.13.26)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>=7)
 Build-Depends-Indep: python-support, asciidoc, xmlto
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
@@ -14,8 +13,8 @@
 
 Package: piuparts
 Architecture: all
-Depends: apt, python (>> 2.4), debootstrap (>= 0.3.3), lsof, lsb-release, 
-    python-debian
+Depends: apt, python (>> 2.5), debootstrap, lsof, lsb-release, 
+    python-debian, ${misc:Depends}
 Suggests: python-rpy, ghostscript
 Description: .deb package installation, upgrading, and removal testing tool
  piuparts tests that .deb packages (as used by Debian) handle
