=== debian/changelog ===
piuparts (0.40ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - Makefile: added python2.7 support and drop python2.5 support (unsupported)
    - piuparts.py: 
     + set default keyring name to ubuntu-archive-keyring.pgp
  *  piuparts.py: set default distribution to oneiric

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 18 Aug 2011 15:32:04 -0400

piuparts (0.40) unstable; urgency=low

  * piuparts.py: 
    - make "natty" the default Ubuntu distribution.
    - add to self.ignored_files: 
      - /var/log/bootstrap.log 
  * debian/control: depend on ${python:Depends} instead of just python. Thanks
    to Jakub Wilk. (Closes: #614617)
  * *.py: do not use Python built-in function names as variable name. Thanks
    to Carl Chenet for a first patch and Scott Schaefer for the applied one.
    (Closes: #523950)
  * Bump Standards-Version to 3.9.2, no changes necessary.
  * debian/rules: add empty build-arch and build-indep to appease lintian.
  * Makefile: drop workaround for #559305 in lenny.

 -- Holger Levsen <holger@debian.org>  Sat, 25 Jun 2011 21:20:31 +0000
