=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>=7)
 Build-Depends-Indep: python-support, asciidoc, xmlto
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
@@ -13,7 +13,7 @@
 
 Package: piuparts
 Architecture: all
-Depends: apt, python (>> 2.5), debootstrap, lsof, lsb-release, 
+Depends: apt, ${python:Depends}, debootstrap, lsof, lsb-release, 
     python-debian, ${misc:Depends}
 Suggests: python-rpy, ghostscript
 Description: .deb package installation, upgrading, and removal testing tool
