=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+build-arch:
+build-indep:
 build:
 
 clean:
